%define	module	B-Keywords
%define	name	perl-%{module}
%define	version	1.08
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lists of reserved barewords and symbol names
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/B/%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays,
@Hashes, @Filehandles, @Symbols, @Functions, and @Barewords. The
@Symbols array includes the contents of each of @Scalars, @Arrays,
@Hashes, and @Filehandles. Similarly, @Barewords adds a few
non-function keywords and operators to the @Functions array.

All additions and modifications are welcome.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README LICENSE
%{perl_vendorlib}/B
%{_mandir}/man*/*




%changelog
* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.1
+ Revision: 97369
- update to new version 1.08


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2007.0
+ Revision: 133727
- new version

* Tue Feb 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.1
+ Revision: 120303
- fix build dependencies

* Mon Feb 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.1
- first mdv release

